Bug 1269573 - AttributeError: '_ssl._SSLSocket' object has no attribute 'issuer'
AttributeError: '_ssl._SSLSocket' object has no attribute 'issuer'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-xmpp (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 10:56 EDT by Jakub Dorňák
Modified: 2016-11-30 19:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:08:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2015-10-07 10:56:51 EDT
Description of problem:
Getting this error when trying to connect.

Version-Release number of selected component (if applicable):
python-xmpp-0.5.0-0.10.rc1.fc21.noarch

How reproducible:
always

Steps to Reproduce:
import xmpp
client = xmpp.Client('xmpp-server.l.google.com')
client.connect()

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/xmpp/client.py", line 205, in connect
    while not self.TLS.starttls and self.Process(1): pass
  File "/usr/lib/python2.7/site-packages/xmpp/dispatcher.py", line 303, in dispatch
    handler['func'](session,stanza)
  File "/usr/lib/python2.7/site-packages/xmpp/transports.py", line 337, in StartTLSHandler
    self._startSSL()
  File "/usr/lib/python2.7/site-packages/xmpp/transports.py", line 316, in _startSSL
    tcpsock._sslIssuer = tcpsock._sslObj.issuer()
AttributeError: '_ssl._SSLSocket' object has no attribute 'issuer'
Comment 1 David Cartwright 2015-11-20 23:55:54 EST
I am receiving the same error on a Fedora 23 system running version 0.5.0 release 0.11.rc1.fc23

Has anyone tracked down the cause?
Comment 2 Fedora End Of Life 2016-07-19 14:08:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.